> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook event

> Retrieves a specific webhook event by ID, including its payload.



## OpenAPI

````yaml /api/specs/webhooks-api.json get /webhooks/v1/webhook-events/{id}
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for webhooks service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /webhooks/v1/webhook-events/{id}:
    get:
      tags:
        - Webhook Events
      summary: Get a webhook event
      description: Retrieves a specific webhook event by ID, including its payload.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The webhook event ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/WebhookEvent'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksForbiddenError'
        '404':
          description: Webhook event not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksNotFoundError'
        '429':
          description: Rate Limit Exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksRateLimitError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksInternalServerError'
      security:
        - oauth2:
            - read:webhooks
components:
  schemas:
    WebhookEvent:
      type: object
      description: A webhook event that was triggered
      properties:
        id:
          type: string
          description: Unique identifier for the event
          example: evt_abc123
        networkId:
          type: string
          description: The network (tenant) this event belongs to
          example: n_abc123
        eventType:
          $ref: '#/components/schemas/WebhookEventType'
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the event was created
        payload:
          type: object
          description: The event payload data
          additionalProperties: true
      required:
        - id
        - networkId
        - eventType
        - createdAt
        - payload
    WebhooksBadRequestError:
      type: object
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - INVALID_REQUEST_PARAMETERS
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksUnauthorizedError:
      type: object
      properties:
        type:
          type: string
          enum:
            - UNAUTHORIZED
        code:
          type: string
          enum:
            - UNAUTHORIZED
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksForbiddenError:
      type: object
      properties:
        type:
          type: string
          enum:
            - FORBIDDEN
        code:
          type: string
          enum:
            - UNAUTHORIZED
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksNotFoundError:
      type: object
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
          enum:
            - NOT_FOUND
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksRateLimitError:
      type: object
      properties:
        message:
          type: string
          example: Rate limit exceeded. Please try again later.
      required:
        - message
    WebhooksInternalServerError:
      type: object
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        message:
          type: string
      required:
        - type
        - message
    WebhookEventType:
      type: string
      enum:
        - ocpp.message
        - asset.connectivity
      description: The type of event that triggers the webhook
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````